> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Person

> Update a [person](https://app.voker.ai/docs/concepts/people).



## OpenAPI

````yaml /openapi.json put /api/v1/people/{person_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://evals.voker.ai/api/v1
security: []
paths:
  /api/v1/people/{person_id}:
    put:
      summary: Update Person
      description: Update a [person](https://app.voker.ai/docs/concepts/people).
      operationId: update_person_api_v1_people__person_id__put
      parameters:
        - name: person_id
          in: path
          required: true
          schema:
            type: string
            examples:
              - person_123
            title: Person Id
        - name: Authorization
          in: header
          required: true
          schema:
            examples:
              - Bearer 123
            type: string
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePersonPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Person'
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PersonNotFoundResponse'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdatePersonPayload:
      properties:
        properties:
          additionalProperties: true
          type: object
          title: Properties
      type: object
      required:
        - properties
      title: UpdatePersonPayload
      description: Update a person.
      examples:
        - properties:
            email: user_123@example.com
    Person:
      properties:
        person_id:
          type: string
          title: Person Id
        properties:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Properties
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - person_id
        - created_at
      title: Person
      description: >-
        Represents a person.


        See [People](https://app.voker.ai/docs/concepts/people) for more
        information.
      examples:
        - created_at: '2023-01-01T00:00:00Z'
          person_id: user_123
          properties:
            email: user_123@example.com
    PersonNotFoundResponse:
      properties:
        type:
          type: string
          const: person-not-found
          title: Type
          default: person-not-found
      type: object
      title: PersonNotFoundResponse
      description: Response model for person not found errors.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````